org.eclipse.graphiti.ui.internal.policy

## Class ShapeHighlightEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.graphiti.ui.internal.policy.ShapeHighlightEditPolicy

All Implemented Interfaces:
  org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

    public class ShapeHighlightEditPolicy
    extends org.eclipse.gef.editpolicies.GraphicalEditPolicy

An EditPolicy, which gives feedback for if an EditPart is selected. It does not create any commands.

See Also:
  `IEditPolicyFactory.createShapeHighlightEditPolicy()`

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `eraseTargetFeedback(org.eclipse.gef.Request request)` Is called, when the previously 'selected' EditPart is 'deselected'.
`org.eclipse.gef.EditPart` `getTargetEditPart(org.eclipse.gef.Request request)` Returns a _target EditPart only, if the request is REQ_SELECTION_HOVER.
`void` `showTargetFeedback(org.eclipse.gef.Request request)` Is called when the EditPart is 'selected'.

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, eraseSourceFeedback, getCommand, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getTargetEditPart

    public org.eclipse.gef.EditPart getTargetEditPart(org.eclipse.gef.Request request)

Returns a _target EditPart only, if the request is REQ_SELECTION_HOVER. By this it filters all other requests out (note, that this EditPolicy does not overwrite getCommand(), which is usually used to filter the requests).

Specified by:
  `getTargetEditPart` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `getTargetEditPart` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.getTargetEditPart(org.eclipse.gef.Request)`

#### eraseTargetFeedback

    public void eraseTargetFeedback(org.eclipse.gef.Request request)

Is called, when the previously 'selected' EditPart is 'deselected'. It then disables the highlight of the selected EditPart.

Specified by:
  `eraseTargetFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseTargetFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.eraseTargetFeedback(org.eclipse.gef.Request)`

#### showTargetFeedback

    public void showTargetFeedback(org.eclipse.gef.Request request)

Is called when the EditPart is 'selected'. It then checks, if the request is one of those, which can be handled by the selected EditPart (which means that EditPart.getCommand(request) returns an executeable command. In this case it highlights the selected EditPart.

Specified by:
  `showTargetFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `showTargetFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.showTargetFeedback(org.eclipse.gef.Request)`